/*
 * API documentation
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0-20181108155220-20181108155343
 * Contact: api.move@axa-assistance.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.insurance.bn.starter.model;

import com.google.gson.annotations.SerializedName;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * PublicHolidays
 */
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaClientCodegen", date = "2018-12-19T23:23:06.995+01:00")
public class PublicHolidays {
  @SerializedName("label")
  private String label = null;

  @SerializedName("list")
  private Model4 list = null;

  public PublicHolidays label(String label) {
    this.label = label;
    return this;
  }

   /**
   * Public Holidays label. Ex: \&quot;Public Holidays\&quot;
   * @return label
  **/
  @ApiModelProperty(value = "Public Holidays label. Ex: \"Public Holidays\"")
  public String getLabel() {
    return label;
  }

  public void setLabel(String label) {
    this.label = label;
  }

  public PublicHolidays list(Model4 list) {
    this.list = list;
    return this;
  }

   /**
   * Get list
   * @return list
  **/
  @ApiModelProperty(value = "")
  public Model4 getList() {
    return list;
  }

  public void setList(Model4 list) {
    this.list = list;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    PublicHolidays publicHolidays = (PublicHolidays) o;
    return Objects.equals(this.label, publicHolidays.label) &&
        Objects.equals(this.list, publicHolidays.list);
  }

  @Override
  public int hashCode() {
    return Objects.hash(label, list);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class PublicHolidays {\n");
    
    sb.append("    label: ").append(toIndentedString(label)).append("\n");
    sb.append("    list: ").append(toIndentedString(list)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

